/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreElementTree;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreElementTreeRecord extends TableRecordImpl<VCoreElementTreeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_element_tree.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.key_element_type</code>.
     */
    public void setKeyElementType(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.key_element_type</code>.
     */
    public Integer getKeyElementType() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.dn</code>.
     */
    public void setDn(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.dn</code>.
     */
    public String getDn() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.short_name</code>.
     */
    public void setShortName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.short_name</code>.
     */
    public String getShortName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.tree</code>.
     */
    public void setTree(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.tree</code>.
     */
    public String getTree() {
        return (String) get(8);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.path</code>.
     */
    public void setPath(Integer[] value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.path</code>.
     */
    public Integer[] getPath() {
        return (Integer[]) get(9);
    }

    /**
     * Setter for <code>common_dd.v_core_element_tree.stage</code>.
     */
    public void setStage(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_tree.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(10);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreElementTreeRecord
     */
    public VCoreElementTreeRecord() {
        super(VCoreElementTree.V_CORE_ELEMENT_TREE);
    }

    /**
     * Create a detached, initialised VCoreElementTreeRecord
     */
    public VCoreElementTreeRecord(Integer keyElement, Integer keyElementType, Integer keyParentElement, String dn, Integer orderNr, String shortName, Integer isPublic, String hierLang, String tree, Integer[] path, Integer stage) {
        super(VCoreElementTree.V_CORE_ELEMENT_TREE);

        setKeyElement(keyElement);
        setKeyElementType(keyElementType);
        setKeyParentElement(keyParentElement);
        setDn(dn);
        setOrderNr(orderNr);
        setShortName(shortName);
        setIsPublic(isPublic);
        setHierLang(hierLang);
        setTree(tree);
        setPath(path);
        setStage(stage);
        resetChangedOnNotNull();
    }
}
